#!/usr/bin/env python
import mincemeat

with open("queries.txt") as f:
    content = f.readlines()
data = [x.strip() for x in content]
datasource = dict(enumerate(data))

def mapfn(k, v):
	d = v.split()
	type = "PART"
	if(len(d) == 1):
		type = "FULL"
	for w in d:
		yield w, type

def reducefn(k, vs):
	if "PART" in vs and "FULL" in vs:
		return "IMPORTANT"
	return "REGULAR"
	

s = mincemeat.Server()
s.datasource = datasource
s.mapfn = mapfn
s.reducefn = reducefn

results = s.run_server(password="pass")

for r in results:
	print(r, results[r])

